osl::book::WMoveWeightMoveSort Struct Reference

WMoveのWeightとMoveによるsort. More...

`#include <openingBook.h>`

Inheritance diagram for osl::book::WMoveWeightMoveSort:

## Public Member Functions

bool | operator() (const WMove &l, const WMove &r) const

## Detailed Description

WMoveのWeightとMoveによるsort.

Definition at line 138 of file openingBook.h.

## Member Function Documentation

## operator()()

bool osl::book::WMoveWeightMoveSort::operator() | ( | const WMove & | l,
|  | const WMove & | r ) const

inline

Definition at line 140 of file openingBook.h.

References osl::Move::intValue(), osl::book::WMove::move, and osl::book::WMove::weight.

The documentation for this struct was generated from the following file:

- openingBook.h